<template>
    <div class="row product">
      <div class="col-xs-12">
        <h3>Filter Product From List</h3>
        <input class="form-control" v-model="filterProduct" placeholder="Gõ để tìm kiếm">
        <div class="card">
          <div class="card-body">
            <ul>
              <li v-for="product in filterProducts" v-bind:key="product"><i class="fas fa-hand-point-right"></i> {{product}}</li>
            </ul>
          </div>
        </div><hr>
      </div>
    </div>
</template>

<script>
import {productMixin} from './productMixin.js';
export default {
    name: 'component-mixin',
    mixins: [productMixin],
    data: function() {
        return {
            
            filterProduct: ''
        }
    },
    computed: {
        filterProducts() {
            return this.products.filter((product) => {
                return product.match(this.filterProduct);
            })
        }
    },
}
</script>

<style>
    .product {
        width: 300px;
        margin: auto;
    }

    ul li {
        list-style: none;
        text-align: left;
    }
</style>